%define upstream_name    NetPacket
%define upstream_version 1.7.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Assemble and disassemble ethernet packets
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/Y/YA/YANICK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Socket) >= 1.870.0
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'NetPacket' provides a base class for a cluster of modules related to
decoding and encoding of network protocols. Each 'NetPacket' descendent
module knows how to encode and decode packets for the network protocol it
implements. Consult the documentation for the module in question for
protocol-specific implementation.

Note that there is no inheritance in the 'NetPacket::' cluster of modules
other than each protocol module being a 'NetPacket'. This was seen to be
too restrictive as imposing inheritance relationships (for example between
the IP, UDP and TCP protocols) would make things like tunneling or other
unusual situations difficult.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.7.2-2.mga8
+ Revision: 1527669
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Jul 21 2019 tv <tv> 1.7.2-1.mga8
+ Revision: 1423356
- update to 1.7.2

* Sat Jun 29 2019 shlomif <shlomif> 1.7.1-1.mga8
+ Revision: 1415610
- update to 1.7.1

* Mon Dec 31 2018 tv <tv> 1.7.0-1.mga7
+ Revision: 1347298
- new release

* Wed Sep 19 2018 umeabot <umeabot> 1.6.0-4.mga7
+ Revision: 1269933
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.6.0-3.mga6
+ Revision: 1031244
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 967405
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.6.0-1.mga6
+ Revision: 848828
- update to 1.6.0

* Sun Oct 19 2014 umeabot <umeabot> 1.5.0-4.mga5
+ Revision: 790087
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 749264
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 685750
- Mageia 5 Mass Rebuild

* Mon Jun 16 2014 sander85 <sander85> 1.5.0-1.mga5
+ Revision: 637613
- update to 1.5.0

* Sat Feb 08 2014 sander85 <sander85> 1.4.4-1.mga5
+ Revision: 586232
- update to 1.4.4

* Mon Oct 21 2013 umeabot <umeabot> 1.4.2-2.mga4
+ Revision: 537791
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 1.4.2-1.mga4
+ Revision: 487722
- update to 1.4.2

* Sun Sep 08 2013 sander85 <sander85> 1.4.1-1.mga4
+ Revision: 476203
- update to 1.4.1

* Wed Aug 28 2013 sander85 <sander85> 1.4.0-1.mga4
+ Revision: 472700
- update to 1.4.0

* Fri Jun 07 2013 jquelin <jquelin> 1.3.3-1.mga4
+ Revision: 439647
- update to 1.3.3

* Sun Jan 13 2013 umeabot <umeabot> 1.3.1-2.mga3
+ Revision: 370987
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 24 2011 kharec <kharec> 1.3.1-1.mga2
+ Revision: 171581
- update to 1.3.1

* Mon Nov 14 2011 kharec <kharec> 1.3.0-1.mga2
+ Revision: 167502
- update to 1.3.0
- update to 1.2.0

* Wed Jun 22 2011 jquelin <jquelin> 1.1.2-1.mga2
+ Revision: 112286
- update to 1.1.2

* Wed Feb 16 2011 jquelin <jquelin> 1.1.1-1.mga1
+ Revision: 52621
- update to 1.1.1

* Thu Jan 20 2011 jquelin <jquelin> 1.0.1-1.mga1
+ Revision: 26749
- mageia rebuild
- imported package perl-NetPacket

